Custody providers
Delete Allocations For Warrant
Deletes all custody allocations belonging to the given warrant IDs and returns the count.
POSThttps://api.toku.com/tga/delete-allocations-for-warrant
Not available to API keys yet. It will need wallets:write.
curl --request POST \
--url 'https://api.toku.com/tga/delete-allocations-for-warrant' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"warrantIDs": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}'200 response
{
"success": true,
"deletedCount": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
warrantIDsstring<uuid>[]requiredAllowed: 1 to 1000 items
Response
200Successful response
successbooleanrequireddeletedCountintegerrequiredAllowed: at least 0
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits